/**
 * Routes for all pages
 */
// Route definitions using :id as placeholder for the id
export function getRootUrlDefinition(): string {
    return getRootUrl()
}

export function getRecipeDetailsUrlDefinition(): string {
    return getRecipeDetailUrl(":id")
}

export function getRecipeEditUrlDefinition(): string {
    return getRecipeEditUrl(":id")
}

export function getRecipeAddUrlDefinition(): string {
    return getRecipeAddUrl()
}

export function getRecipeListUrlDefinition(): string {
    return getRecipeListUrl()
}

export function getLoginUrlDefinition(): string {
    return getLoginUrl()
}

export function getUserUrlDefinition(): string {
    return getUserUrl()
}

// URLs including id
export function getRootUrl(): string {
    return "/"
}

export function getRecipeListUrl(): string {
    return "/recipe/list"
}

export function getRecipeDetailUrl(id: string): string {
    return "/recipe/" + id + "/card"
}

export function getRecipeEditUrl(id: string): string {
    return "/recipe/" + id + "/edit"
}

export function getRecipeAddUrl(): string {
    return "/recipe/add"
}

export function getLoginUrl(): string {
    return "/login"
}

export function getUserUrl(): string {
    return "/user"
}